
QGIS Application - Bug report #1504

WMS fails to offer CRS change for large CRS lists

2009-01-23 03:09 AM - marisn -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Web Services clients/WMS

Affected QGIS version: Regression?: No

Operating System: Gentoo Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11564

Description

By default [[GeoServer]] offers WMS with more than 3000 CRS options. When adding such WMS layer, QGIS correctly displays number

of available CRS'es, still "Change..." list is empty.

History

#1 - 2009-03-29 01:52 AM - Marco Hugentobler

Is there a public server instance available to test? It might be a problem with the crs format delivered by the server.

#2 - 2009-06-11 04:51 AM - Mavka -

Problem still present [QGIS 1.2.0].

Workaround

I haven't public wms, but you can test demo layers in standart [[GeoServer]] installation

#3 - 2009-08-18 01:45 PM - Redmine Admin

- Resolution set to invalid

- Status changed from Open to Closed

This problem is not related to qgis. Doing some research about the problem I found that Geoserver offers an srs like this  "<SRS>EPSG:WGS84</SRS>"

as the first srs in its capabilities and is the one causing the problem. To fix it remove that srs from the geoserver epsg database.

For more information please refer to the following url:

http://jira.codehaus.org/browse/GEOS-3223?page=com.atlassian.jira.plugin.system.issuetabpanels%3Aall-tabpanel

#4 - 2009-08-19 01:59 AM - marisn -

You are right. Opened new bug #1881 "QGIS should ignore bogous CRS from WMS services"
